### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.iom

# Class OutputStreamHeader

java.lang.Object
java.rmi.server.RemoteObject
java.rmi.server.RemoteServer
java.rmi.server.UnicastRemoteObject
com.sas.iom.OutputStreamHeader

All Implemented Interfaces:
  `com.sas.io.OutputStreamHeaderInterface`, `Serializable`, `Remote`

@SASScope("ALL") @BinaryCompatibilityOnly public class OutputStreamHeader extends UnicastRemoteObject implements com.sas.io.OutputStreamHeaderInterface
Provides the capability to write header information to an `IOM OutputStream`.

Since:
  1.0
See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class java.rmi.server.RemoteObject

  `ref`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OutputStreamHeader(OutputStream outputStream)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `setHeader(String name, String value)`
  Set header by delegating to the OutputStream.
  `void`
  `setHeaders(Map headers)`
  Set headers by delegating to the OutputStream.

  ### Methods inherited from class java.rmi.server.UnicastRemoteObject

  `clone, exportObject, exportObject, exportObject, exportObject, exportObject, unexportObject`

  ### Methods inherited from class java.rmi.server.RemoteServer

  `getClientHost, getLog, setLog`

  ### Methods inherited from class java.rmi.server.RemoteObject

  `equals, getRef, hashCode, toString, toStub`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### OutputStreamHeader

    public OutputStreamHeader(OutputStream outputStream) throws RemoteException
    Throws:
      `RemoteException`

- ## Method Details

  - ### setHeader

    public void setHeader(String name, String value) throws IOException, IllegalStateException, RemoteException
    Set header by delegating to the OutputStream.
    Specified by:
      `setHeader` in interface `com.sas.io.OutputStreamHeaderInterface`
    Throws:
      `IOException`
      `IllegalStateException`
      `RemoteException`

  - ### setHeaders

    public void setHeaders(Map headers) throws IOException, IllegalStateException, RemoteException
    Set headers by delegating to the OutputStream.
    Specified by:
      `setHeaders` in interface `com.sas.io.OutputStreamHeaderInterface`
    Throws:
      `IOException`
      `IllegalStateException`
      `RemoteException`